<?php 	include_once('../../config.php');   	
		include_once(ABS_PATH.'/admin/login_check.php');    
		
		
		 
		    if(isset($_POST['update']))
            {    
                 
                 
                    $stmt=$conn->prepare("update UI__Qrpayment set status=:status,note=:note where id=:id ");  
                    $stmt->bindValue(':status', $_POST['status'] , PDO::PARAM_STR);
                    $stmt->bindValue(':note', $_POST['note'] , PDO::PARAM_STR);   
                    $stmt->bindValue(':id', $_REQUEST['id'] , PDO::PARAM_STR);
                    $stmt->execute();  
                    $_SESSION['ReqestUp']= "Request Updated Successfully";
                    if($_POST['status']==1)
                    {        
                        
                            $stmt=$conn->prepare("select   custId,amt  from  UI__Qrpayment   where id=:id");  
							$stmt->bindValue(':id', $_REQUEST['id'] , PDO::PARAM_STR);
							$stmt->execute();      
							$Userid = $stmt->fetch(PDO::FETCH_OBJ);  
							
							
							//
							
							$_POST['userid'] = trim($Userid->custId,"");   
							$_POST['fund'] = $Userid->amt;					
							$stmt=$conn->prepare("select  cuurentId from   UI__Rgst   where cuurentId=:cuurentId");  
							$stmt->bindValue(':cuurentId', $_POST['userid'] , PDO::PARAM_STR);
							$stmt->execute();    
							if($stmt->rowCount() > 0)
							{    
								$stmt=$conn->prepare("select  amt,availableFund from  UI__Fundtransfer   where userid=:cuurentId order by id desc");  
								$stmt->bindValue(':cuurentId', $_POST['userid'] , PDO::PARAM_STR);
								$stmt->execute();  
								
								if($stmt->rowCount() > 0)
								{
								   $AllUsers = $stmt->fetch(PDO::FETCH_OBJ); 
								   $totalAvaib = $AllUsers->availableFund+$_POST['fund'];  
								}else
									$totalAvaib =  $_POST['fund'];     
								 
								$stmt=$conn->prepare("insert into  UI__Fundtransfer (userid,Tdate,amt,availableFund) values(:userid,:Tdate,:amt,:availableFund)    "); 
								$stmt->bindValue(':userid',$_POST['userid'], PDO::PARAM_STR); 
								$stmt->bindValue(':Tdate',date("d-M-Y H:i"), PDO::PARAM_STR); 
								$stmt->bindValue(':amt',$_POST['fund'], PDO::PARAM_STR);  
								$stmt->bindValue(':availableFund', $totalAvaib , PDO::PARAM_STR);  
								$stmt->execute(); 
								 
								
								$stmt=$conn->prepare("select *  from UI__DailyROIGene    where custId=:sId     ");   
								$stmt->bindValue(':sId',  $_POST['userid'] , PDO::PARAM_INT);  
								$stmt->execute(); 
								$XUI__DailyROIGene = $stmt->fetchAll(PDO::FETCH_OBJ);  
								
								$Tamnt = 0;
								foreach($XUI__DailyROIGene as $xx)
								{
								$Tamnt +=$xx->amount;
								}      
								
								
								$stmt=$conn->prepare("select *  from UI__Bns    where Rid =:sId   ");   
								$stmt->bindValue(':sId',  $_POST['userid'] , PDO::PARAM_INT);  
								$stmt->execute(); 
								$UI__Bns = $stmt->fetchAll(PDO::FETCH_OBJ); 
								
								$LevelI = 0;
								foreach($UI__Bns as $dddm)
								{
								$LevelI +=$dddm->Tamt;
								}
								
								
								$stmt=$conn->prepare("select Amt   from UI__Tpm where TopUpId=:refId   ");   
								$stmt->bindValue(':refId',  $_POST['userid'] , PDO::PARAM_INT);  
								$stmt->execute(); 
								$MdirectB = $stmt->fetchAll(PDO::FETCH_OBJ);  
								
								$directIncome = 0;
								foreach($MdirectB as $dmm)
								$directIncome += $dmm->Amt;                
								
								
								
								
								$stmt=$conn->prepare("select *  from UI__WithDraw    where userid=:sId and (accept=1 ||accept=2)  ");   
								$stmt->bindValue(':sId', $_POST['userid'] , PDO::PARAM_INT);  
								$stmt->execute(); 
								$UI__WithDraw = $stmt->fetchAll(PDO::FETCH_OBJ); 
								
								
								$totalWithdrwa = 0;
								foreach($UI__WithDraw as $tl)
								{
								$totalWithdrwa +=$tl->amt;
								}
								
								  
								$stmt=$conn->prepare("select availableFund from UI__Fundtransfer  where  userid=:userid  order by id desc  ");   
								$stmt->bindValue(':userid',  $_POST['userid'] , PDO::PARAM_INT);  
								$stmt->execute(); 
								$UI__Fundtransfer = $stmt->fetch(PDO::FETCH_OBJ);   
								
								   
								$PAYWAllet =  ($Tamnt+$LevelI+$directIncome+$UI__Fundtransfer->availableFund)-($totalWithdrwa);      
								$stmt=$conn->prepare("insert into  UI__DebitCredit (custId,addDel,availableBal,Tdate,type,Intype,byw) values(:custId,:addDel,:availableBal,:Tdate,:type,'Fund Added For Qr Payment','NA')"); 
								$stmt->bindValue(':custId',$_POST['userid'], PDO::PARAM_STR); 
								$stmt->bindValue(':addDel',$_POST['fund'], PDO::PARAM_STR); 
								$stmt->bindValue(':availableBal',$PAYWAllet, PDO::PARAM_STR);  
								$stmt->bindValue(':Tdate', date("d-M-Y H:i") , PDO::PARAM_STR);  
								$stmt->bindValue(':type', 1 , PDO::PARAM_STR);   
								$stmt->execute();     
								$LastIntId = $conn->lastInsertId();
								
								$stmt=$conn->prepare("select id from UI__Rgst  where  cuurentId=:cuurentId    ");   
								$stmt->bindValue(':cuurentId',  $_POST['userid'] , PDO::PARAM_STR);  
								$stmt->execute(); 
								$UIid = $stmt->fetch(PDO::FETCH_OBJ);   
								
								$amount = password_hash(($PAYWAllet),PASSWORD_DEFAULT);  
								$stmt =  $conn->prepare("update _pkCc__ set bl1=:bl1,tm=:tm where Uxd=:Uxd "); 
								$stmt->bindValue(':bl1', $amount, PDO::PARAM_STR); 
								$stmt->bindValue(':tm', date("d-M-Y H:i"), PDO::PARAM_STR); 
								$stmt->bindValue(':Uxd', $UIid->id, PDO::PARAM_STR);  
								$stmt->execute();   
								
								$stmt=$conn->prepare("select * from UI__Rgst  where  cuurentId=:cuurentId  ");   
								$stmt->bindValue(':cuurentId',  $_POST['userid'] , PDO::PARAM_STR);  
								$stmt->execute();
								$UI__Rgst = $stmt->fetch(PDO::FETCH_OBJ);     	
								
								
								$stmt=$conn->prepare("insert into UI__Receipt(type,bank,mobile,email,amountPaid,Tid,status,Tdate,custId,cdId,Topay,TopayName) values(:type,:bank,:mobile,:email,:amountPaid,:Tid,:status,:Tdate,:custId,:cdId,:Topay,:TopayName)"); 
								$stmt->bindValue(':type',   11 , PDO::PARAM_STR);   
								$stmt->bindValue(':bank',  "Fund Added For Qr Payment" , PDO::PARAM_STR);   
								$stmt->bindValue(':mobile', $UI__Rgst->phm, PDO::PARAM_STR);
								$stmt->bindValue(':email', $UI__Rgst->eml , PDO::PARAM_STR); 
								$stmt->bindValue(':amountPaid', $_POST['fund']  , PDO::PARAM_STR); 
								$stmt->bindValue(':Tid', mt_rand(1234552,23555), PDO::PARAM_STR); 
								$stmt->bindValue(':status', 1 , PDO::PARAM_STR); 
								$stmt->bindValue(':Tdate', date("d-M-Y H:i") , PDO::PARAM_STR);      
								$stmt->bindValue(':custId', $_POST['userid'], PDO::PARAM_STR);  
								$stmt->bindValue(':cdId', $LastIntId  , PDO::PARAM_STR); 
								$stmt->bindValue(':Topay',  $_POST['userid'] , PDO::PARAM_STR); 
								$stmt->bindValue(':TopayName',  $_POST['userid'] , PDO::PARAM_STR);     
								$stmt->execute(); 
							//
							
							
                         }
                    } 
                    header("Location: qrrequest.php");
                    die;
            }     
                        
            $stmt=$conn->prepare("select  * from   UI__Qrpayment where id=:id ");  
            $stmt->bindValue(':id', $_REQUEST['id'] , PDO::PARAM_STR);
            $stmt->execute(); 
            $AllUsers = $stmt->fetch(PDO::FETCH_OBJ); 
?>  
<?php  include ABS_PATH.'/admin/header.php';	?>  

<script>
function del_record(val)
{

	var r = confirm("Do you really want to delete record !");
	if (r == true) {    
	$.ajax({
	type: 'POST',
	url: "../ajax/default.php",
	//async: false,			 
	data: {del_city_names:1,val:val},	  
	success: function(ajaxresult){	     
		location.reload();	 	
	},
	error: function(XMLHttpRequest, textStatus, errorThrown) { 
	alert('Error');
	}
	});
	
	}	
	
}

</script>
		 
		<div class="col-md-10">  
  			<div class="content-box-large">
  				<div class="panel-heading">
					<div class="panel-title"><h3>update Request</h3>
					        
					</div>
					
					<div align="right">  <input type="button"    class="btn btn-warning" name="btnback" id="btnback" value=" Back " onClick="javascript:location.href='qrrequest.php';" />
					</div>
					
				</div>
				
  				<div class="panel-body">   
					    
					    <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data" id="product_frm" autocomplete="off"> 
								 
								 
								 <div class="form-group">
								    <label for="inputEmail3" class="col-sm-2 control-label">Status</label>
								    <div class="col-sm-3">
								     <select  class="form-control" name="status">
								         <option value="1" <?php if($AllUsers->status==1) echo "selected"; ?>>Approved</option>
								         <option value="0" <?php if($AllUsers->status==0) echo "selected"; ?>>Pending</option>
								         <option value="2" <?php if($AllUsers->status==2) echo "selected"; ?>>Rejected</option>
								     </select>
								    </div>
								 </div>
								 <hr>
								 
							 	 <div class="form-group">
								    <label for="inputEmail3" class="col-sm-2 control-label">Note</label>
								    <div class="col-sm-3">
								      <input type="text" name="note"  class="form-control" value="NA"/>
								    </div>
								 </div>
								 <hr>
								  
								  
								  <div class="form-group">
										<label for="inputEmail3" class="col-sm-2 control-label">Update</label>
										<div class="col-sm-10">
										  <input type="submit"    class="btn btn-primary"  name="update" value="Update Status">
										</div>
								  </div>   
								</form>
				 
								
  				</div>
  			</div>



		  </div>
		</div>
    </div>

<?php  include ABS_PATH.'/admin/footer.php';	?>    